SDSamtec Developer Portal
APIsModelsReferenceEDA Symbols & Footprints

Returns all valid format codes accepted by the `modelFormatCode` parameter.

Returns the list of EDA tool format codes currently accepted by /v1/symbols/{part}'s modelFormatCode parameter, along with each format's display name. Use this instead of hardcoding format codes, since the supported list can change.

GET
/v1/symbols/ModelTypes
Authorization<token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

Header Parameters

client-app-name*string

Name of the calling application. Must be between 3 and 100 characters.

Default"samtec-dev-portal"

Response Body

application/json

curl -X GET "https://example.com/v1/symbols/ModelTypes" \  -H "client-app-name: samtec-dev-portal"
[  {    "Code": "kicad_modv6",    "Description": "KiCad V6 & Later"  },  {    "Code": "altium_native",    "Description": "Altium"  },  {    "Code": "eagle",    "Description": "Eagle"  }]